# Uses of Class
org.apache.sysds.runtime.controlprogram.BasicProgramBlock

Packages that use BasicProgramBlock
Package
Description
org.apache.sysds.runtime.controlprogram.parfor.opt
org.apache.sysds.runtime.lineage

## Uses of BasicProgramBlock in org.apache.sysds.runtime.controlprogram.parfor.opt

Methods in org.apache.sysds.runtime.controlprogram.parfor.opt with parameters of type BasicProgramBlock
Modifier and Type
Method
Description
`static boolean`
OptTreeConverter.`containsFunctionCallInstruction(BasicProgramBlock pb)`
`static boolean`
OptTreeConverter.`containsSparkInstruction(BasicProgramBlock pb, boolean inclCPFile)`

## Uses of BasicProgramBlock in org.apache.sysds.runtime.lineage

Methods in org.apache.sysds.runtime.lineage with parameters of type BasicProgramBlock
Modifier and Type
Method
Description
`void`
LineageDedupBlock.`traceBasicProgramBlock(BasicProgramBlock bpb, ExecutionContext ec, Collection<Map.Entry<Long,LineageMap>> paths)`